ZNC-CONFIG(1)

NAME
znc-config - script to get information about the installed version of ZNC

SYNOPSIS
znc-config --cflags
znc-config --include
znc-config --libs
znc-config --moddir
znc-config --datadir
znc-config --version
znc-config --prefix

DESCRIPTION
znc-config helps you compiling ZNC modules. This tool gives you a list of compiler and linker flags that you need to compile modules for the installed ZNC instance.

OPTIONS

--cflags
    Displays the necessary compiler options. This does not include the include directories!

--include
    This prints the compiler flags needed for the include directories.

--libs
    Prints the linker flags needed for ZNC modules.

--moddir
    Print the directory to which modules are installed.

--datadir
    Print the directory to which data files for modules are installed.

--version
    Displays the version number of ZNC.

--prefix
    Displays the prefix under which ZNC is installed.